(* gamutViewControllerD.mli     View controller delegate for Gamut
 *
 * Copyright (c) 2016 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)
class t :
    object
    inherit Wrappee.t
    method viewController'viewDidAppear' : UiViewController.t -> bool -> unit
    method viewController'viewWillDisappear' :
        UiViewController.t -> bool -> unit
    method viewControllerShouldAutorotate' : UiViewController.t -> bool
    method timerTick' : NsTimer.t -> unit
    method view'touchesBegan' : UiView.t -> Cocoa.point -> unit
    method view'touchesMoved' : UiView.t -> Cocoa.point -> unit
    method view'touchesEnded' : UiView.t -> Cocoa.point -> unit
    method view'touchesCancelled' : UiView.t -> Cocoa.point -> unit
    method view'drawRect' : UiView.t -> Cocoa.rect -> unit
    end
