(* ui.mli     Some base types from UIKit
 *
 * Copyright (c) 2016 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)
class type
    application =
        object
        inherit Wrapper.t
        method delegate : applicationDelegate
        end

and 
    applicationDelegate =
        object
        inherit Wrappee.t
        method window : UiWindow.t
        method setWindow' : UiWindow.t -> unit
        method applicationDidFinishLaunching' : application -> unit
        method applicationWillResignActive' : application -> unit
        method applicationDidBecomeActive' : application -> unit
        method applicationDidReceiveMemoryWarning' : application -> unit
        end
